nlohmann::detail::output_stream_adapter< CharType > Class Template Reference

output adapter for output streams More...

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::output_stream_adapter< CharType >:
Collaboration diagram for nlohmann::detail::output_stream_adapter< CharType >:

## Public Member Functions

| output_stream_adapter (std::basic_ostream< CharType > &s) noexcept
void | write_character (CharType c) override
void | write_characters (const CharType *s, std::size_t length) override
Public Member Functions inherited from nlohmann::detail::output_adapter_protocol< CharType >
virtual | ~output_adapter_protocol ()=default
| output_adapter_protocol ()=default
| output_adapter_protocol (const output_adapter_protocol &)=default
| output_adapter_protocol (output_adapter_protocol &&) noexcept=default
output_adapter_protocol & | operator= (const output_adapter_protocol &)=default
output_adapter_protocol & | operator= (output_adapter_protocol &&) noexcept=default

## Private Attributes

std::basic_ostream< CharType > & | stream

## Detailed Description

### template<typename CharType>
class nlohmann::detail::output_stream_adapter< CharType >

output adapter for output streams

Definition at line 13179 of file json.hpp.

## Constructor & Destructor Documentation

## output_stream_adapter()

template<typename CharType >

nlohmann::detail::output_stream_adapter< CharType >::output_stream_adapter | ( | std::basic_ostream< CharType > & | s | ) |

inline explicit noexcept

Definition at line 13182 of file json.hpp.

## Member Function Documentation

## write_character()

template<typename CharType >

void nlohmann::detail::output_stream_adapter< CharType >::write_character | ( | CharType | c | ) |

inline override virtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13186 of file json.hpp.

References JSON_HEDLEY_NON_NULL.

## write_characters()

template<typename CharType >

void nlohmann::detail::output_stream_adapter< CharType >::write_characters | ( | const CharType * | s,
|  | std::size_t | length
| ) |  |

inline override virtual

Implements nlohmann::detail::output_adapter_protocol< CharType >.

Definition at line 13192 of file json.hpp.

## Member Data Documentation

## stream

template<typename CharType >

std::basic_ostream<CharType>& nlohmann::detail::output_stream_adapter< CharType >::stream

private

Definition at line 13198 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp